Bug 219140 - databases/influxdb: update to 1.2.4
Summary: databases/influxdb: update to 1.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-08 10:01 UTC by Babak Farrokhi
Modified: 2017-05-22 13:47 UTC (History)
2 users (show)

See Also:
cheffo: maintainer-feedback+


Attachments
update patch (3.20 KB, patch)
2017-05-08 10:01 UTC, Babak Farrokhi
no flags Details | Diff
patch for 1.2.4 (3.31 KB, patch)
2017-05-09 13:47 UTC, Babak Farrokhi
farrokhi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Babak Farrokhi freebsd_committer 2017-05-08 10:01:27 UTC
Created attachment 182397 [details]
update patch

This patch update influxdb to latest version, fixes some patch in default configuration file and cleans up Makefile.
Comment 1 Babak Farrokhi freebsd_committer 2017-05-09 13:47:46 UTC
Created attachment 182441 [details]
patch for 1.2.4

patch for 1.2.4 update
Comment 2 cheffo 2017-05-12 12:59:12 UTC
hi,

I see you have the following lines in the patch:

-		@${MKDIR} ${STAGEDIR}/var/db/influxdb
-		@${MKDIR} ${STAGEDIR}/var/log/influxdb

Can you explain why?
Comment 3 Martin Wilke freebsd_committer 2017-05-13 04:33:28 UTC
Submitter is committer :)
Comment 4 Babak Farrokhi freebsd_committer 2017-05-15 11:02:07 UTC
(In reply to cheffo from comment #2)
These lines were redundant with line 87-89 in which you already created those directories:

do-install:
                ${MKDIR} ${STAGEDIR}${INFLUXD_DBDIR} \
                ${STAGEDIR}${INFLUXD_PIDDIR} \
                ${STAGEDIR}${INFLUXD_LOGDIR}
Comment 5 cheffo 2017-05-17 13:19:20 UTC
Thanks!
Approved for commit then!
Comment 6 commit-hook freebsd_committer 2017-05-22 13:47:15 UTC
A commit references this bug:

Author: farrokhi
Date: Mon May 22 13:46:33 UTC 2017
New revision: 441458
URL: https://svnweb.freebsd.org/changeset/ports/441458

Log:
  databases/influxdb: update to 1.2.4

  PR:		219140
  Reviewed by:	mat
  Approved by:	mat
  Relnotes:	https://github.com/influxdata/influxdb/blob/v1.2.4/CHANGELOG.md
  Differential Revision:	https://reviews.freebsd.org/D10771

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/distinfo